<?php $share_media = get_option( 'wcss_share_media' ); ?>

<div class="wcss-share-medium">

	<?php if ( 'yes' === $share_media['email'] ) : ?>
		<a href="<?php echo esc_url( $email_link ); ?>" data-wcss-email>
			<?php echo WCSS_Icons::get( 'envelope', '45', '45', get_option( 'wcss_email_icon_color_code' ) ); ?>
			<div class="wcss-popup--text-color"><?php esc_html_e( 'Email', 'woo-cart-share' ); ?></div>
		</a>
	<?php endif; ?>

	<?php if ( 'yes' === $share_media['whatsapp'] ) : ?>
		<a href="<?php echo esc_url( $whatsapp_link ); ?>" target="_blank" data-wcss-whatsapp>
			<?php echo WCSS_Icons::get( 'whatsapp', '45', '45', get_option( 'wcss_whatsapp_icon_color_code' ) ); ?>
			<div class="wcss-popup--text-color"><?php esc_html_e( 'WhatsApp', 'woo-cart-share' ); ?></div>
		</a>
	<?php endif; ?>

	<?php if ( 'yes' === $share_media['copy_link'] ) : ?>
		<a href="#" data-wcss-copy-link data-clipboard-text="<?php echo esc_url( $cart_share_link ); ?>">
			<?php echo WCSS_Icons::get( 'copy', '45', '45', get_option( 'wcss_copy_link_icon_color_code' ) ); ?>
			<div class="wcss-popup--text-color"><?php esc_html_e( 'Copy Link', 'woo-cart-share' ); ?></div>
		</a>
	<?php endif; ?>


	<?php if ( 'yes' === $share_media['facebook'] ) : ?>
		<a href="<?php echo esc_url( $facebook_link ); ?>" target="_blank" data-wcss-facebook>
			<?php echo WCSS_Icons::get( 'facebook', '45', '45', get_option( 'wcss_facebook_icon_color_code' ) ); ?>
			<div class="wcss-popup--text-color"><?php esc_html_e( 'Facebook', 'woo-cart-share' ); ?></div>
		</a>
	<?php endif; ?>


	<?php if ( 'yes' === $share_media['twitter'] ) : ?>
		<a href="<?php echo esc_url( $twitter_link ); ?>" target="_blank" data-wcss-twitter>
			<?php echo WCSS_Icons::get( 'twitter', '45', '45', get_option( 'wcss_twitter_icon_color_code' ) ); ?>
			<div class="wcss-popup--text-color"><?php esc_html_e( 'Twitter', 'woo-cart-share' ); ?></div>
		</a>
	<?php endif; ?>

	<?php if ( 'yes' === $share_media['skype'] ) : ?>
		<a href="<?php echo esc_url( $skype_link ); ?>" target="_blank" data-wcss-skype>
			<?php echo WCSS_Icons::get( 'skype', '45', '45', get_option( 'wcss_skype_icon_color_code' ) ); ?>
			<div class="wcss-popup--text-color"><?php esc_html_e( 'Skype', 'woo-cart-share' ); ?></div>
		</a>
	<?php endif; ?>


	<?php if ( 'yes' === $share_media['messenger'] ) : ?>
		<a href="<?php echo esc_html( $messenger_link ); ?>" target="_blank" data-wcss-messenger>
			<?php echo WCSS_Icons::get( 'facebook-messenger', '45', '45', get_option( 'wcss_messenger_icon_color_code' ) ); ?>
			<div class="wcss-popup--text-color"><?php esc_html_e( 'Messenger', 'woo-cart-share' ); ?></div>
		</a>
	<?php endif; ?>

	<?php if ( 'yes' === get_option( 'wcss_user_can_print_cart' ) ) : ?>
		<a href="#" data-wcss-print-cart="<?php echo esc_html( $print_cart_key ); ?>">
			<?php echo WCSS_Icons::get( 'print', '45', '45', get_option( 'wcss_print_cart_icon_color_code' ) ); ?>
			<div class="wcss-popup--text-color"><?php esc_html_e( 'Print Cart', 'woo-cart-share' ); ?></div>
		</a>
	<?php endif; ?>

	<?php if ( 'yes' === get_option( 'wcss_user_can_save_cart' ) ) : ?>
		<a href="#" data-wcss-save-cart>
			<?php echo WCSS_Icons::get( 'bookmark', '45', '45', get_option( 'wcss_save_cart_icon_color_code' ) ); ?>
			<div class="wcss-popup--text-color"><?php esc_html_e( 'Save Cart', 'woo-cart-share' ); ?></div>
		</a>
	<?php endif; ?>

</div>

<?php
	// load email cart form if email enable by admin
if ( 'yes' === $share_media['email'] ) {
	wcss_get_template(
		'email-cart-form.php',
		array(
			'uid' => $uid,
		)
	);
}

if ( 'yes' === get_option( 'wcss_user_can_save_cart' ) ) {
	if ( is_user_logged_in() ) {
		wcss_get_template(
			'save-cart-form.php',
			array(
				'uid' => $uid,
			)
		);
	} else {
		wcss_get_template( 'login-now.php' );
	}
}
?>
